
TYPO3.Neos - Bug # 39433

Status: Resolved Priority: Must have
Author: Adrian Föder Category:
Created: 2012-08-01 Assigned To: Adrian Föder
Updated: 2012-08-31 Due date:
Subject: functional TypoScript\RenderingTest fails on Windows
Description

due to incorrect path-separator-handling, the FunctionalTests fail with messages similar to

1) TYPO3\TYPO3\Tests\Functional\TypoScript\RenderingTest::basicRenderingWorks
TYPO3\Fluid\View\Exception\InvalidTemplateResourceException: Template file
"C:UsersafoederFLOW3PhoenixBasePackagesApplicationTYPO3.TYPO3TestsFunctionalTypoScrip
t/Fixtures//WebsiteTemplate.html" could not be loaded

this is caused by DIR being used as base path, being '\' on windows and causing these errors.

Associated revisions
Revision 9cf23a69 - 2012-08-31 11:20 - Adrian Föder

[BUGFIX] Fix template path in Windows for Functional Tests

A backslash as path separator in plain TypoScript seems
to make it disappear after parsing. Since usually forward
slashes and resources:// should be used however, this is
hard-coded fixed in the appropriate Functional Test.

Change-Id: Ide7e5064b05d03d9b1ad9e265db371d253f135b1
Fixes: #39433

History
#1 - 2012-08-01 09:25 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13393

#2 - 2012-08-31 11:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13393

#3 - 2012-08-31 11:20 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13393
#4 - 2012-08-31 11:35 - Adrian Föder
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9cf23a690f6a671d7b9e27961d5d9dfa044b1b6a.
